=== debian/watch ===
version=3
http://support.amd.com/us/gpudownload/linux/Pages/radeon_linux.aspx .*/amd-driver-installer-(.*)-x86.x86_64.(?:run|zip)
