## fglrx-driver 12-8

=== debian/changelog ===
fglrx-driver (1:12-8-1~exp1+zlt1) experimental; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - fglrx-{modules-dkms,source}: architecture all, multi-arch foreign
  * debian/patches:
    - 04_modules-dkms-check-arch.patch: add, this makes support for arch:all
  * fglrx-{modules-dkms,source}.*:
    - ship both+ arches libfglrx_ip.a.*
    - lintian overrides update, add arch-indep...contains-binary-or-object
  * debian/rules: link libfglrx_ip.a's in override_dh_auto_build
  * debian/rules.defs: add xorg-video-abi-13

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Sun, 23 Sep 2012 17:17:30 +0400

fglrx-driver (1:12-8-1~exp1) experimental; urgency=low

  * New upstream release 12-8 (2012-08-15) (8.982).

  * Upload to experimental.
  * Temporarily mark templates as untranslatable and drop translations.
  * Mention the availability of fglrx-legacy-driver (most probably via
    wheezy-backports).
  * The radeon backlisting is now handled by glx-alternative-fglrx.
  * Bump glx-alternative-fglrx dependency accordingly and remove
    /etc/modprobe.d/fglrx-driver.conf.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 13 Sep 2012 13:33:04 +0200

fglrx-driver (1:12-6+point-2) UNRELEASED; urgency=low

  * fglrx-driver.postrm: Do not fail if the debconf templates are not
    available (i.e. if the package is unconfigured).
  * fglrx-source: Add Built-Using attribute to the generated module packages
    to record the exact versions of linux and fglrx-driver that were used
    during the build.
  * libgl1-fglrx-glx:i386: Add Breaks: ia32-libs (<< 20120701) because that is
    still shipping /usr/lib32/libGL.so.1 which gets no longer diverted away.
    (Closes: #683853)
  * fglrx-atieventsd: Add Depends: glx-alternative-fglrx to ensure the
    triggers are processed and the glx alternative is properly setup before
    the atieventsd is started.  (See: #684000)
  * Check for "UNSIGNED" in /etc/ati/signature during package build to
    prevent reappearence of bugs like #684702.
  * Update Homepage to point to AMD.
  * Update watch file.
  * README.Debian: Add link to unofficial bugzilla for upstream bug reports.
  * fglrx-driver.NEWS: Mention the availability of fglrx-legacy-driver which
    supports the legacy Radeon HD 2000/3000/4000 (currently only in
    experimental but will be provided in wheezy-backports, too).

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 07 Aug 2012 11:44:06 +0200
