=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
  lib${fglrx} (= ${binary:Version}),
  ${fglrx:XorgDepends},
  xserver-xorg-core,
- glx-alternative-fglrx (>= 0.2),
+ glx-alternative-fglrx (>= 0.2.90),
 Recommends:
  ${fglrx}-modules-dkms (= ${binary:Version}) | fglrx-kernel-${fglrx:Version},
  libgl1-${fglrx}-glx (= ${binary:Version}),
@@ -178,7 +178,7 @@
  ${misc:Depends},
  ${shlibs:Depends},
  lib${fglrx} (= ${binary:Version}),
- glx-alternative-fglrx (>= 0.2),
+ glx-alternative-fglrx (>= 0.2.90),
 Provides:
  libgl1-fglrx-glx-virtual,
  libgl1-${fglrx}-glx-i386 [i386],
@@ -189,7 +189,7 @@
  fglrx-glx (<< 1:11-8-2),
  nvidia-glx (<< 275.09.07-3),
  libgl1-nvidia-glx (<< 275.09.07-3),
- ia32-libs (<< 1:0) [i386],
+ ia32-libs (<< 20120701) [i386],
 Replaces:
  libgl1-fglrx-glx-virtual,
  fglrx-glx (<< 1:11-8-2),
@@ -252,7 +252,8 @@
 
 Package: fglrx-modules-dkms
 Section: non-free/kernel
-Architecture: i386 amd64
+Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  dkms (>= 2.1),
@@ -282,7 +283,8 @@
 
 Package: fglrx-source
 Section: non-free/kernel
-Architecture: i386 amd64
+Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
  debhelper (>= 8),
@@ -444,4 +446,3 @@
 Provides:
  opencl-dev
 Description: AMD OpenCL development files
- OpenCL (Open Computing Language) is a multi-vendor open standard for
