=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,7 @@
 	rm -f debian/shlibs.local
 	rm -f arch/x86/usr/X11R6/lib/AMDXvBAx86.cap
 	rm -f arch/x86_64/usr/X11R6/lib64/AMDXvBAx64.cap
+	rm -f common/lib/modules/fglrx/build_mod/libfglrx_ip.a.*
 	debconf-updatepo
 
 # Reformat the LICENSE to the format needed for debian/copyright.
@@ -112,6 +113,9 @@
 	ln arch/x86/usr/X11R6/lib/libAMDXvBA.cap arch/x86/usr/X11R6/lib/AMDXvBAx86.cap
 	ln arch/x86_64/usr/X11R6/lib64/libAMDXvBA.cap arch/x86_64/usr/X11R6/lib64/AMDXvBAx64.cap
 	$(MAKE) -C debian/man
+	mkdir -p debian/tmp/build_mod
+	ln arch/x86/lib/modules/fglrx/build_mod/libfglrx_ip.a common/lib/modules/fglrx/build_mod/libfglrx_ip.a.i386
+	ln arch/x86_64/lib/modules/fglrx/build_mod/libfglrx_ip.a common/lib/modules/fglrx/build_mod/libfglrx_ip.a.x86_64
 
 # On amd64, AMD hardcoded some paths to /usr/lib64/fglrx/switchlibgl*, and
 # prevents working around this with symlinks because they check the files
@@ -193,8 +197,9 @@
 URL_PATH		?= www2.ati.com/drivers/linux
 CACHEDIR		?= /tmp
 NEW_UPSTREAM_VERSION	?= $(patsubst VER=%,%,$(filter VER=%,$(DEB_BUILD_OPTIONS)))
+ZIP_UPSTREAM_VERSION	?= $(or $(patsubst ZVER=%,%,$(filter ZVER=%,$(DEB_BUILD_OPTIONS))),$(NEW_UPSTREAM_VERSION))
 INTERNAL_VERSION	:= $(shell test ! -s $(INSTALLER) || sh $(INSTALLER) --info | sed -n '/^Identification:/ s/[^0-9]*//p')
-REAL_UPSTREAM_VERSION	?= $(NEW_UPSTREAM_VERSION)
+REAL_UPSTREAM_VERSION	?= $(ZIP_UPSTREAM_VERSION)
 
 get-orig-source-checks:
 	# This target needs DEB_BUILD_OPTIONS to contain the version specification
@@ -205,10 +210,3 @@
 $(INSTALLER):
 	# Make sure the .run package is in the proper place,
 	# but first try to look in the "cache".
-	[ -s $(CACHEDIR)/$(INSTALLER) ] || [ -s $(CACHEDIR)/$(INSTALLER_ZIP) ] || \
-	    wget $(URL_PATH)/$(INSTALLER) -c -O $(CACHEDIR)/$(INSTALLER) || \
-	    wget $(URL_PATH)/$(INSTALLER_ZIP) -c -O $(CACHEDIR)/$(INSTALLER_ZIP) || \
-	[ -s $(CACHEDIR)/$(INSTALLER) ] || [ -s $(CACHEDIR)/$(INSTALLER_ZIP) ]
-	[ ! -s $(CACHEDIR)/$(INSTALLER) ] || cp -a $(CACHEDIR)/$(INSTALLER) .
-	[ -s $(INSTALLER) ] || unzip $(CACHEDIR)/$(INSTALLER_ZIP)
-
